Bug 249362 - incompatible t-mouse elisp library
incompatible t-mouse elisp library
Product: Fedora
Classification: Fedora
Component: gpm (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Janousek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-23 18:40 EDT by Ben Liblit
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 02:22:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Liblit 2007-07-23 18:40:18 EDT
Description of problem:

Both emacs-common-22.1-1.fc7 and gpm-1.20.1-84.fc7 provide "t-mouse" elisp

    /usr/share/emacs/22.1/lisp/t-mouse.elc    // from emacs-common
    /usr/share/emacs/site-lisp/t-mouse.el     // from gpm

However, these two implementations are not identical and not completely
compatible.  In particular, the emacs version provides a "t-mouse-mode" minor
mode toggle function, whereas the gpm version does not.  Unfortunately, emacs
initially comes up with "t-mouse-mode" registered as an autoloadable function. 
So it appears one can call "t-mouse-mode", but if the gpm version gets loaded
first, no such function is defined and an error results.

Inspection of the respective sources (install emacs-el if necessary) suggests
that the emacs version is newer.  Therefore I recommend that the gpm version be
Comment 1 Tomas Janousek 2007-07-24 10:17:35 EDT
Yeah, definitely, I removed it, rebuilt in rawhide and will push it with an
update when something bigger comes out.
Comment 2 Bug Zapper 2008-05-14 09:38:43 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ben Liblit 2008-05-21 02:21:38 EDT
I confirm that gpm-1.20.1-90.fc9.i386 no longer provides a "t-mouse.el" file. 
Changing status to VERIFIED.
Comment 4 Ben Liblit 2008-05-21 02:22:54 EDT
Oops, looks like I was really supposed to mark this as CLOSED.

Note You need to log in before you can comment on or make changes to this bug.